"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var BatchGetItem_1 = require("../model/operations/BatchGetItem");
var BatchGetItemCommand = /** @class */ (function () {
    function BatchGetItemCommand(input) {
        this.input = input;
        this.model = BatchGetItem_1.BatchGetItem;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    BatchGetItemCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return BatchGetItemCommand;
}());
exports.BatchGetItemCommand = BatchGetItemCommand;
//# sourceMappingURL=BatchGetItemCommand.js.map