"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateBackup_1 = require("../model/operations/CreateBackup");
var CreateBackupCommand = /** @class */ (function () {
    function CreateBackupCommand(input) {
        this.input = input;
        this.model = CreateBackup_1.CreateBackup;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateBackupCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateBackupCommand;
}());
exports.CreateBackupCommand = CreateBackupCommand;
//# sourceMappingURL=CreateBackupCommand.js.map