"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateTable_1 = require("../model/operations/CreateTable");
var CreateTableCommand = /** @class */ (function () {
    function CreateTableCommand(input) {
        this.input = input;
        this.model = CreateTable_1.CreateTable;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateTableCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateTableCommand;
}());
exports.CreateTableCommand = CreateTableCommand;
//# sourceMappingURL=CreateTableCommand.js.map