"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteTable_1 = require("../model/operations/DeleteTable");
var DeleteTableCommand = /** @class */ (function () {
    function DeleteTableCommand(input) {
        this.input = input;
        this.model = DeleteTable_1.DeleteTable;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteTableCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteTableCommand;
}());
exports.DeleteTableCommand = DeleteTableCommand;
//# sourceMappingURL=DeleteTableCommand.js.map