"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeGlobalTable_1 = require("../model/operations/DescribeGlobalTable");
var DescribeGlobalTableCommand = /** @class */ (function () {
    function DescribeGlobalTableCommand(input) {
        this.input = input;
        this.model = DescribeGlobalTable_1.DescribeGlobalTable;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeGlobalTableCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeGlobalTableCommand;
}());
exports.DescribeGlobalTableCommand = DescribeGlobalTableCommand;
//# sourceMappingURL=DescribeGlobalTableCommand.js.map