"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetItem_1 = require("../model/operations/GetItem");
var GetItemCommand = /** @class */ (function () {
    function GetItemCommand(input) {
        this.input = input;
        this.model = GetItem_1.GetItem;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetItemCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetItemCommand;
}());
exports.GetItemCommand = GetItemCommand;
//# sourceMappingURL=GetItemCommand.js.map