"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListBackups_1 = require("../model/operations/ListBackups");
var ListBackupsCommand = /** @class */ (function () {
    function ListBackupsCommand(input) {
        this.input = input;
        this.model = ListBackups_1.ListBackups;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListBackupsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListBackupsCommand;
}());
exports.ListBackupsCommand = ListBackupsCommand;
//# sourceMappingURL=ListBackupsCommand.js.map