"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListGlobalTables_1 = require("../model/operations/ListGlobalTables");
var ListGlobalTablesCommand = /** @class */ (function () {
    function ListGlobalTablesCommand(input) {
        this.input = input;
        this.model = ListGlobalTables_1.ListGlobalTables;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListGlobalTablesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListGlobalTablesCommand;
}());
exports.ListGlobalTablesCommand = ListGlobalTablesCommand;
//# sourceMappingURL=ListGlobalTablesCommand.js.map