"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTagsOfResource_1 = require("../model/operations/ListTagsOfResource");
var ListTagsOfResourceCommand = /** @class */ (function () {
    function ListTagsOfResourceCommand(input) {
        this.input = input;
        this.model = ListTagsOfResource_1.ListTagsOfResource;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTagsOfResourceCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTagsOfResourceCommand;
}());
exports.ListTagsOfResourceCommand = ListTagsOfResourceCommand;
//# sourceMappingURL=ListTagsOfResourceCommand.js.map