"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutItem_1 = require("../model/operations/PutItem");
var PutItemCommand = /** @class */ (function () {
    function PutItemCommand(input) {
        this.input = input;
        this.model = PutItem_1.PutItem;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutItemCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutItemCommand;
}());
exports.PutItemCommand = PutItemCommand;
//# sourceMappingURL=PutItemCommand.js.map