"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var Query_1 = require("../model/operations/Query");
var QueryCommand = /** @class */ (function () {
    function QueryCommand(input) {
        this.input = input;
        this.model = Query_1.Query;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    QueryCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return QueryCommand;
}());
exports.QueryCommand = QueryCommand;
//# sourceMappingURL=QueryCommand.js.map