"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var Scan_1 = require("../model/operations/Scan");
var ScanCommand = /** @class */ (function () {
    function ScanCommand(input) {
        this.input = input;
        this.model = Scan_1.Scan;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ScanCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ScanCommand;
}());
exports.ScanCommand = ScanCommand;
//# sourceMappingURL=ScanCommand.js.map