"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TransactGetItems_1 = require("../model/operations/TransactGetItems");
var TransactGetItemsCommand = /** @class */ (function () {
    function TransactGetItemsCommand(input) {
        this.input = input;
        this.model = TransactGetItems_1.TransactGetItems;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TransactGetItemsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TransactGetItemsCommand;
}());
exports.TransactGetItemsCommand = TransactGetItemsCommand;
//# sourceMappingURL=TransactGetItemsCommand.js.map