"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var TransactWriteItems_1 = require("../model/operations/TransactWriteItems");
var TransactWriteItemsCommand = /** @class */ (function () {
    function TransactWriteItemsCommand(input) {
        this.input = input;
        this.model = TransactWriteItems_1.TransactWriteItems;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    TransactWriteItemsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return TransactWriteItemsCommand;
}());
exports.TransactWriteItemsCommand = TransactWriteItemsCommand;
//# sourceMappingURL=TransactWriteItemsCommand.js.map