"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateGlobalTable_1 = require("../model/operations/UpdateGlobalTable");
var UpdateGlobalTableCommand = /** @class */ (function () {
    function UpdateGlobalTableCommand(input) {
        this.input = input;
        this.model = UpdateGlobalTable_1.UpdateGlobalTable;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateGlobalTableCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateGlobalTableCommand;
}());
exports.UpdateGlobalTableCommand = UpdateGlobalTableCommand;
//# sourceMappingURL=UpdateGlobalTableCommand.js.map