"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateTable_1 = require("../model/operations/UpdateTable");
var UpdateTableCommand = /** @class */ (function () {
    function UpdateTableCommand(input) {
        this.input = input;
        this.model = UpdateTable_1.UpdateTable;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateTableCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateTableCommand;
}());
exports.UpdateTableCommand = UpdateTableCommand;
//# sourceMappingURL=UpdateTableCommand.js.map