"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchGetItemInput_1 = require("../shapes/BatchGetItemInput");
var BatchGetItemOutput_1 = require("../shapes/BatchGetItemOutput");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var RequestLimitExceeded_1 = require("../shapes/RequestLimitExceeded");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchGetItem = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchGetItem",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: BatchGetItemInput_1.BatchGetItemInput
    },
    output: {
        shape: BatchGetItemOutput_1.BatchGetItemOutput
    },
    errors: [
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: RequestLimitExceeded_1.RequestLimitExceeded
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=BatchGetItem.js.map