"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateBackupInput_1 = require("../shapes/CreateBackupInput");
var CreateBackupOutput_1 = require("../shapes/CreateBackupOutput");
var TableNotFoundException_1 = require("../shapes/TableNotFoundException");
var TableInUseException_1 = require("../shapes/TableInUseException");
var ContinuousBackupsUnavailableException_1 = require("../shapes/ContinuousBackupsUnavailableException");
var BackupInUseException_1 = require("../shapes/BackupInUseException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateBackup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateBackup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateBackupInput_1.CreateBackupInput
    },
    output: {
        shape: CreateBackupOutput_1.CreateBackupOutput
    },
    errors: [
        {
            shape: TableNotFoundException_1.TableNotFoundException
        },
        {
            shape: TableInUseException_1.TableInUseException
        },
        {
            shape: ContinuousBackupsUnavailableException_1.ContinuousBackupsUnavailableException
        },
        {
            shape: BackupInUseException_1.BackupInUseException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=CreateBackup.js.map