"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteItemInput_1 = require("../shapes/DeleteItemInput");
var DeleteItemOutput_1 = require("../shapes/DeleteItemOutput");
var ConditionalCheckFailedException_1 = require("../shapes/ConditionalCheckFailedException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ItemCollectionSizeLimitExceededException_1 = require("../shapes/ItemCollectionSizeLimitExceededException");
var TransactionConflictException_1 = require("../shapes/TransactionConflictException");
var RequestLimitExceeded_1 = require("../shapes/RequestLimitExceeded");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteItem = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteItem",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteItemInput_1.DeleteItemInput
    },
    output: {
        shape: DeleteItemOutput_1.DeleteItemOutput
    },
    errors: [
        {
            shape: ConditionalCheckFailedException_1.ConditionalCheckFailedException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ItemCollectionSizeLimitExceededException_1.ItemCollectionSizeLimitExceededException
        },
        {
            shape: TransactionConflictException_1.TransactionConflictException
        },
        {
            shape: RequestLimitExceeded_1.RequestLimitExceeded
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=DeleteItem.js.map