"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetItemInput_1 = require("../shapes/GetItemInput");
var GetItemOutput_1 = require("../shapes/GetItemOutput");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var RequestLimitExceeded_1 = require("../shapes/RequestLimitExceeded");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetItem = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetItem",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetItemInput_1.GetItemInput
    },
    output: {
        shape: GetItemOutput_1.GetItemOutput
    },
    errors: [
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: RequestLimitExceeded_1.RequestLimitExceeded
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=GetItem.js.map