"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutItemInput_1 = require("../shapes/PutItemInput");
var PutItemOutput_1 = require("../shapes/PutItemOutput");
var ConditionalCheckFailedException_1 = require("../shapes/ConditionalCheckFailedException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ItemCollectionSizeLimitExceededException_1 = require("../shapes/ItemCollectionSizeLimitExceededException");
var TransactionConflictException_1 = require("../shapes/TransactionConflictException");
var RequestLimitExceeded_1 = require("../shapes/RequestLimitExceeded");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutItem = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutItem",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutItemInput_1.PutItemInput
    },
    output: {
        shape: PutItemOutput_1.PutItemOutput
    },
    errors: [
        {
            shape: ConditionalCheckFailedException_1.ConditionalCheckFailedException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ItemCollectionSizeLimitExceededException_1.ItemCollectionSizeLimitExceededException
        },
        {
            shape: TransactionConflictException_1.TransactionConflictException
        },
        {
            shape: RequestLimitExceeded_1.RequestLimitExceeded
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=PutItem.js.map