"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RestoreTableFromBackupInput_1 = require("../shapes/RestoreTableFromBackupInput");
var RestoreTableFromBackupOutput_1 = require("../shapes/RestoreTableFromBackupOutput");
var TableAlreadyExistsException_1 = require("../shapes/TableAlreadyExistsException");
var TableInUseException_1 = require("../shapes/TableInUseException");
var BackupNotFoundException_1 = require("../shapes/BackupNotFoundException");
var BackupInUseException_1 = require("../shapes/BackupInUseException");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestoreTableFromBackup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestoreTableFromBackup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RestoreTableFromBackupInput_1.RestoreTableFromBackupInput
    },
    output: {
        shape: RestoreTableFromBackupOutput_1.RestoreTableFromBackupOutput
    },
    errors: [
        {
            shape: TableAlreadyExistsException_1.TableAlreadyExistsException
        },
        {
            shape: TableInUseException_1.TableInUseException
        },
        {
            shape: BackupNotFoundException_1.BackupNotFoundException
        },
        {
            shape: BackupInUseException_1.BackupInUseException
        },
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=RestoreTableFromBackup.js.map