"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ScanInput_1 = require("../shapes/ScanInput");
var ScanOutput_1 = require("../shapes/ScanOutput");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var RequestLimitExceeded_1 = require("../shapes/RequestLimitExceeded");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.Scan = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "Scan",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ScanInput_1.ScanInput
    },
    output: {
        shape: ScanOutput_1.ScanOutput
    },
    errors: [
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: RequestLimitExceeded_1.RequestLimitExceeded
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=Scan.js.map