"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TransactWriteItemsInput_1 = require("../shapes/TransactWriteItemsInput");
var TransactWriteItemsOutput_1 = require("../shapes/TransactWriteItemsOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var TransactionCanceledException_1 = require("../shapes/TransactionCanceledException");
var TransactionInProgressException_1 = require("../shapes/TransactionInProgressException");
var IdempotentParameterMismatchException_1 = require("../shapes/IdempotentParameterMismatchException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TransactWriteItems = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TransactWriteItems",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: TransactWriteItemsInput_1.TransactWriteItemsInput
    },
    output: {
        shape: TransactWriteItemsOutput_1.TransactWriteItemsOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: TransactionCanceledException_1.TransactionCanceledException
        },
        {
            shape: TransactionInProgressException_1.TransactionInProgressException
        },
        {
            shape: IdempotentParameterMismatchException_1.IdempotentParameterMismatchException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=TransactWriteItems.js.map