"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateItemInput_1 = require("../shapes/UpdateItemInput");
var UpdateItemOutput_1 = require("../shapes/UpdateItemOutput");
var ConditionalCheckFailedException_1 = require("../shapes/ConditionalCheckFailedException");
var ProvisionedThroughputExceededException_1 = require("../shapes/ProvisionedThroughputExceededException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ItemCollectionSizeLimitExceededException_1 = require("../shapes/ItemCollectionSizeLimitExceededException");
var TransactionConflictException_1 = require("../shapes/TransactionConflictException");
var RequestLimitExceeded_1 = require("../shapes/RequestLimitExceeded");
var InternalServerError_1 = require("../shapes/InternalServerError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateItem = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateItem",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateItemInput_1.UpdateItemInput
    },
    output: {
        shape: UpdateItemOutput_1.UpdateItemOutput
    },
    errors: [
        {
            shape: ConditionalCheckFailedException_1.ConditionalCheckFailedException
        },
        {
            shape: ProvisionedThroughputExceededException_1.ProvisionedThroughputExceededException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ItemCollectionSizeLimitExceededException_1.ItemCollectionSizeLimitExceededException
        },
        {
            shape: TransactionConflictException_1.TransactionConflictException
        },
        {
            shape: RequestLimitExceeded_1.RequestLimitExceeded
        },
        {
            shape: InternalServerError_1.InternalServerError
        }
    ]
};
//# sourceMappingURL=UpdateItem.js.map