"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AttributeDefinitions_1 = require("./_AttributeDefinitions");
var _KeySchema_1 = require("./_KeySchema");
var _LocalSecondaryIndexList_1 = require("./_LocalSecondaryIndexList");
var _GlobalSecondaryIndexList_1 = require("./_GlobalSecondaryIndexList");
var _ProvisionedThroughput_1 = require("./_ProvisionedThroughput");
var _StreamSpecification_1 = require("./_StreamSpecification");
var _SSESpecification_1 = require("./_SSESpecification");
var _TagList_1 = require("./_TagList");
exports.CreateTableInput = {
    type: "structure",
    required: ["AttributeDefinitions", "TableName", "KeySchema"],
    members: {
        AttributeDefinitions: {
            shape: _AttributeDefinitions_1._AttributeDefinitions
        },
        TableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        KeySchema: {
            shape: _KeySchema_1._KeySchema
        },
        LocalSecondaryIndexes: {
            shape: _LocalSecondaryIndexList_1._LocalSecondaryIndexList
        },
        GlobalSecondaryIndexes: {
            shape: _GlobalSecondaryIndexList_1._GlobalSecondaryIndexList
        },
        BillingMode: {
            shape: {
                type: "string"
            }
        },
        ProvisionedThroughput: {
            shape: _ProvisionedThroughput_1._ProvisionedThroughput
        },
        StreamSpecification: {
            shape: _StreamSpecification_1._StreamSpecification
        },
        SSESpecification: {
            shape: _SSESpecification_1._SSESpecification
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateTableInput.js.map