"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _AttributeDefinitions_1 = require("./_AttributeDefinitions");
var _KeySchema_1 = require("./_KeySchema");
var _ProvisionedThroughputDescription_1 = require("./_ProvisionedThroughputDescription");
var _BillingModeSummary_1 = require("./_BillingModeSummary");
var _LocalSecondaryIndexDescriptionList_1 = require("./_LocalSecondaryIndexDescriptionList");
var _GlobalSecondaryIndexDescriptionList_1 = require("./_GlobalSecondaryIndexDescriptionList");
var _StreamSpecification_1 = require("./_StreamSpecification");
var _RestoreSummary_1 = require("./_RestoreSummary");
var _SSEDescription_1 = require("./_SSEDescription");
exports._TableDescription = {
    type: "structure",
    required: [],
    members: {
        AttributeDefinitions: {
            shape: _AttributeDefinitions_1._AttributeDefinitions
        },
        TableName: {
            shape: {
                type: "string",
                min: 3
            }
        },
        KeySchema: {
            shape: _KeySchema_1._KeySchema
        },
        TableStatus: {
            shape: {
                type: "string"
            }
        },
        CreationDateTime: {
            shape: {
                type: "timestamp"
            }
        },
        ProvisionedThroughput: {
            shape: _ProvisionedThroughputDescription_1._ProvisionedThroughputDescription
        },
        TableSizeBytes: {
            shape: {
                type: "integer"
            }
        },
        ItemCount: {
            shape: {
                type: "integer"
            }
        },
        TableArn: {
            shape: {
                type: "string"
            }
        },
        TableId: {
            shape: {
                type: "string"
            }
        },
        BillingModeSummary: {
            shape: _BillingModeSummary_1._BillingModeSummary
        },
        LocalSecondaryIndexes: {
            shape: _LocalSecondaryIndexDescriptionList_1._LocalSecondaryIndexDescriptionList
        },
        GlobalSecondaryIndexes: {
            shape: _GlobalSecondaryIndexDescriptionList_1._GlobalSecondaryIndexDescriptionList
        },
        StreamSpecification: {
            shape: _StreamSpecification_1._StreamSpecification
        },
        LatestStreamLabel: {
            shape: {
                type: "string"
            }
        },
        LatestStreamArn: {
            shape: {
                type: "string",
                min: 37
            }
        },
        RestoreSummary: {
            shape: _RestoreSummary_1._RestoreSummary
        },
        SSEDescription: {
            shape: _SSEDescription_1._SSEDescription
        }
    }
};
//# sourceMappingURL=_TableDescription.js.map